---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libfieldmod01.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x20408, symBinAddr: 0x8670, symSize: 0x0 }
  - { offsetInCU: 0x94, offset: 0x94, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x2040C, symBinAddr: 0x8674, symSize: 0x0 }
  - { offsetInCU: 0xBF, offset: 0xBF, size: 0x8, addend: 0x0, symName: __ZL7watches, symObjAddr: 0x3148, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x2AB, offset: 0x2AB, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x2040D, symBinAddr: 0x8675, symSize: 0x0 }
  - { offsetInCU: 0x2C9, offset: 0x2C9, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x20410, symBinAddr: 0x8678, symSize: 0x0 }
  - { offsetInCU: 0x8DA4, offset: 0x8DA4, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x20418, symBinAddr: 0x8680, symSize: 0x0 }
  - { offsetInCU: 0x8DBD, offset: 0x8DBD, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x20550, symBinAddr: 0x87B8, symSize: 0x0 }
  - { offsetInCU: 0x8DD4, offset: 0x8DD4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x21AC, symSize: 0x24 }
  - { offsetInCU: 0x9060, offset: 0x9060, size: 0x8, addend: 0x0, symName: _printValue, symObjAddr: 0xC70, symBinAddr: 0x21D0, symSize: 0xD8 }
  - { offsetInCU: 0x90CD, offset: 0x90CD, size: 0x8, addend: 0x0, symName: _isEqual, symObjAddr: 0xD48, symBinAddr: 0x22A8, symSize: 0xB4 }
  - { offsetInCU: 0x9252, offset: 0x9252, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0xDFC, symBinAddr: 0x235C, symSize: 0x834 }
  - { offsetInCU: 0x97D9, offset: 0x97D9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1630, symBinAddr: 0x2B90, symSize: 0x18C }
  - { offsetInCU: 0x9A49, offset: 0x9A49, size: 0x8, addend: 0x0, symName: _Java_fieldmod01_getReady, symObjAddr: 0x17BC, symBinAddr: 0x2D1C, symSize: 0x310 }
  - { offsetInCU: 0x9D77, offset: 0x9D77, size: 0x8, addend: 0x0, symName: _Java_fieldmod01_check, symObjAddr: 0x1ACC, symBinAddr: 0x302C, symSize: 0x15C }
  - { offsetInCU: 0x9E9D, offset: 0x9E9D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1C28, symBinAddr: 0x3188, symSize: 0x4 }
  - { offsetInCU: 0x9EE5, offset: 0x9EE5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1C28, symBinAddr: 0x3188, symSize: 0x4 }
  - { offsetInCU: 0x9EF7, offset: 0x9EF7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1C2C, symBinAddr: 0x318C, symSize: 0x4 }
  - { offsetInCU: 0x9F3F, offset: 0x9F3F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1C2C, symBinAddr: 0x318C, symSize: 0x4 }
...
